# 39. Мутация: Задаване на персонализирани цветови схеми към избраните „GeoMaps“

Задайте персонализирани цветови схеми за слоевете данни: "ZonesMaps", "SoilDatasets".&#x20;

Поддръжка за други слоеве данни ("YieldDataset", "TopographyMaps", "SatelliteImages") предстои.

Актуализирайте всички атрибути на "GeoMap":

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation UpdateGeoMaps {
  setGeoMaps(input: {
    geoMaps: [{
      fieldUuid: "<placeholder_of_field_uuid>",
      soilDatasetUuid: "<placeholder_of_soildataset_uuid>",
      shortName: "<origin_geomap_short_name>",
      classes: [
          11.288999557495117,
          31.641000747680664,
          42.30500030517578,
          56.132999420166016,
          105.81999969482422
        ],
      description: "<some_text_about_geomap>",
      fullName: "<geomap_full_name>",
      hexColorCodes: [
        "#ca0020",
        "#f4a582",
        "#f7f7f7",
        "#92c5de",
        "#0571b0"
      ]    
    }, {
      fieldUuid: "<placeholder_of_field_uuid>",
      vectorAnalysisMapUuid: "<placeholder_of_vectoranalysismap_uuid>",
      shortName: "<origin_geomap_short_name>",
      classes: [
          11.788000106811523,
          26.854999542236328,
          33.84000015258789,
          41.20100021362305,
          50.124000549316406,
          63.90299987792969,
          86.70500183105469,
          105.81999969482422
        ],
      description: "<some_text_about_geomap>",
      fullName: "<geomap_full_name>",
      hexColorCodes: [
        "#b2182b",
        "#ef8a62",
        "#fddbc7",
        "#f7f7f7",
        "#d1e5f0",
        "#67a9cf",
        "#2166ac"
      ]    
    }]
  }) {
    shortName
    fullName
    description
    classes
    hexColorCodes
    url
  }
}
```

{% endcode %}

Актуализирайте само цветовите схеми на "GeoMap":

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation UpdateGeoMaps {
  setGeoMaps(input: {
    geoMaps: [{
      fieldUuid: "<placeholder_of_field_uuid>",
      soilDatasetUuid: "<placeholder_of_soildataset_uuid>",
      shortName: "<origin_geomap_short_name>",
      classes: [
          -6.5,
          100,
          162.60000610351562,
          245.8000030517578,
          493.29998779296875
        ],
      hexColorCodes: [
        "#ca0020",
        "#f4a582",
        "#f7f7f7",
        "#92c5de",
        "#0571b0"
      ]    
    }, {
      fieldUuid: "<placeholder_of_field_uuid>",
      vectorAnalysisMapUuid: "<placeholder_of_vectoranalysismap_uuid>",
      shortName: "<origin_geomap_short_name>",
      hexColorCodes: [
        "#b2182b",
        "#ef8a62",
        "#fddbc7",
        "#f7f7f7",
        "#d1e5f0",
        "#67a9cf",
        "#2166ac"
      ]    
    }]
  }) {
    shortName
    fullName
    description
    classes
    hexColorCodes
    url
  }
}
```

{% endcode %}

**ВАЖНО** точки, за да научите как да използвате мутацията:

1. Атрибути `fieldUuid`, `soilDatasetUuid`/`vectorAnalysisMapUuid`, и `shortName` са задължителни за идентифициране на правилния "GeoMap", който да се промени. Всички тези три атрибута заедно отразяват уникалността на "GeoMap".
2. Или `soilDatasetUuid` или `vectorAnalysisMapUuid` атрибут трябва да се използва за един входен запис на "GeoMap".
3. Стойността на `shortName` трябва да е същата като оригинала в "GeoMap". Тя не може да бъде променяна.
4. Атрибути `fullName`, `description`, `hexColorCodes` са редактируеми за "ZonesMaps" и могат да бъдат променяни. Промените не се прилагат, ако атрибутът не е споменат.
5. Атрибути `fullName`, `description`, `classes`, `hexColorCodes` са редактируеми за "SoilDatasets" и могат да бъдат променяни. Промените не се прилагат, ако атрибутът не е споменат.
6. Масивите `classes` и `hexColorCodes`  трябва да имат точно същата дължина като оригинала в "GeoMap".
7. Дължината на масивите "GeoMaps" в заявката и в отговора трябва да бъде една и съща. Ако не е, някои "GeoMaps" не са били редактирани успешно.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/bg/api-dokumenti/obsh-pregled-na-zayavkite-km-geopard-api/39.-mutaciya-zadavane-na-personalizirani-cvetovi-skhemi-km-izbranite-geomaps.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
